package com.ssj.service.sys.fx.service;

import java.util.Map;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ssj.bean.sys.fx.domain.MerchantSign;
import com.ssj.framework.core.common.service.BaseService;

public interface MerchantSignService extends BaseService<MerchantSign, String> {
	
	Page<Map<String, Object>> findMerchantSignByPage(Map<String, Object> params, Pageable initPage);
	
	Page<Map<String, Object>> findMerchantSignStatusByPage(Map<String, Object> params, Pageable initPage);
	
	void saveMerchantSign(String merchantId,Integer type,Integer num,Integer libService,String signTime,Double unitPrice);
	
	public int getMerchantSignByCurLibService(String merchantId);
	
}
